Nostradamus Predicting Maelstroms
Unleash awesomeness. Private packages, team management tools, and powerful integrations. Get started with npm Orgs »

can-3-4-compat

1.0.0 • Public • Published

can-3-4-compat

Build Status

Utilities for easing the upgrade from CanJS 3 to CanJS 4.

Modules

can-3-4-compat/dom-mutation-events

This module enables the legacy mutation events inserted and removed in places such as can-components.

import "can-3-4-compat/dom-mutation-events";
import Component from "can-component";
 
Component.extend({
    tag: "some-component",
 
    events: {
        inserted: function(){
            // This will fire!
        }
    }
})

license

MIT

install

npm i can-3-4-compat

Downloadsweekly downloads

42

version

1.0.0

license

MIT

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability